Index: /trunk/tools/variables_values.dat
===================================================================
--- /trunk/tools/variables_values.dat	(revision 900)
+++ /trunk/tools/variables_values.dat	(revision 901)
@@ -62,4 +62,5 @@
 ptconv, cpt, convective_point, 0., 1., convective|point, 1, seismic
 LPTCONV, cpt, convective_point, 0., 1., convective|point, 1, seismic
+H_DIABATIC, diabh, diabh,  0., 30., diabatic|heating, K, Reds
 dqajs, dqajs, dry_adjustment_water_vapor_tendency, -0.0003, 0.0003, dry|adjustment|water|vapor|tendency, kg/kg/s, seismic
 LDQAJS, dqajs, dry_adjustment_water_vapor_tendency, -0.0003, 0.0003, dry|adjustment|water|vapor|tendency, kg/kg/s, seismic
@@ -143,4 +144,5 @@
 SFCEVPde, evspsblac, water_evaporation_flux_ac, 0., 1.5e-4, accumulated|water|evaporation|flux, kgm-2, Blues
 g, g, grauepl_mixing_ratio, 0., 0.0003, graupel|mixing|ratio, kgkg-1, Purples
+QGRAUP, g, grauepl_mixing_ratio, 0., 0.0003, graupel|mixing|ratio, kgkg-1, Purples
 QGRAUPEL, g, grauepl_mixing_ratio, 0., 0.0003, graupel|mixing|ratio, kgkg-1, Purples
 GLW, glw, downward_longwave_radiation_at_ground, 100., 500., downward|longwave|radiation|flux|at|the|ground|(downward|is|positive), Wm-2, Reds
@@ -167,14 +169,20 @@
 QFX, hufs, surface_upward_water_vapor_flux_in_air, 0., 0.2e-4, Upward moisture flux at the surface, kgm-2s-1, Blues
 hus, hus, specific_humidity, 0., 0.03, specific|humidty, 1, BuPu
-WRFrh, hus, specific_humidity, 0., 0.03, specific|humidty, 1, BuPu
-LMDZrh, hus, specific_humidity, 0., 0.03, specific|humidty, 1, BuPu
-rhum, hus, specific_humidity, 0., 0.03, specific|humidty, 1, BuPu
-LRHUM, hus, specific_humidity, 0., 0.03, specific|humidty, 1, BuPu
+r, hus, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
+ovap, hus, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
+LOVAP, hus, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
+r2, huss, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
+Q2, huss, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
+TSq, huss, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
+q2m, huss, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
+LQ2M, huss, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
+qv, hus, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
+QVAPOR, hus, specific_humidity, 0., 0.03, specific|humidty, 1, BuPu
 huss, huss, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
 Q2, huss, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
-LMDZrhs123, huss, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
-rh2m123, huss, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
-LRH2M123, huss, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
-TSrhs123, huss, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
+LMDZrhs123, hurs, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
+rh2m123, hurs, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
+LRH2M123, hurs, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
+TSrhs123, hurs, specific_humidity, 0., 0.03, specific|humidty|at|2m, 1, BuPu
 hur, hur, relative_humidity, 0., 100., relative|humidty, %, BuPu
 WRFrh, hur, relative_humidity, 0., 100., relative|humidty, %, BuPu
@@ -261,4 +269,5 @@
 lpres, pres, air_pressure, 0., 103000., air|pressure, Pa, Blues
 LPRES, pres, air_pressure, 0., 103000., air|pressure, Pa, Blues
+P_HYD, pres_hyd, hydrostatic_air_pressure, 0., 103000., hydrostatic|air|pressure, Pa, Blues
 prls, prls, large_scale_precipitation_flux, 0., 2.e-4, large|scale|precipitation|flux, kgm-2s-1, Blues
 WRFprls, prls, large_scale_precipitation_flux, 0., 2.e-4, large|scale|precipitation|flux, kgm-2s-1, Blues
@@ -286,14 +295,42 @@
 q_th, qth, thermal_plume_total_water_content, 0., 25., total|water|cotent|in|thermal|plume, mm, YlOrRd
 LQ_TH, qth, thermal_plume_total_water_content, 0., 25., total|water|cotent|in|thermal|plume, mm, YlOrRd
-r, r, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
-QVAPOR, r, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
-ovap, r, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
-LOVAP, r, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
-r2, r2, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
-Q2, r2, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
-TSq, r2, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
-q2m, r2, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
-LQ2M, r2, water_mixing_ratio_at_2m, 0., 0.03, water|mixing|ratio|at|2|m,kgkg-1, BuPu
-qv, r, water_mixing_ratio, 0., 0.03, water|mixing|ratio, kgkg-1, BuPu
+r, r, rain_mixing_ratio, 0., 0.03, rain|mixing|ratio, KgKg-1, BuPu
+QRAIN, r, rain_mixing_ratio, 0., 0.03, rain|mixing|ratio, KgKg-1, BuPu
+rhusblten, rhusblten, coupled_hus_tendency_pbl, -0.2, 0.2, coupled|water|vapor|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+RQVBLTEN, rhusblten, coupled_hus_tendency_pbl, -0.2, 0.2, coupled|water|vapor|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+rcblten, rcblten, coupled_c_tendency_pbl, -0.2, 0.2, coupled|cloud|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+RQCBLTEN, rcblten, coupled_c_tendency_pbl, -0.2, 0.2, coupled|cloud|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+rgblten, rgblten, coupled_g_tendency_pbl, -0.2, 0.2, coupled|graupel|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+RQGBLTEN, rgblten, coupled_r_tendency_pbl, -0.2, 0.2, coupled|graupel|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+riblten, riblten, coupled_i_tendency_pbl, -0.2, 0.2, coupled|ice|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+RQIBLTEN, riblten, coupled_i_tendency_pbl, -0.2, 0.2, coupled|ice|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+rrblten, rrblten, coupled_r_tendency_pbl, -0.2, 0.2, coupled|rain|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+RQRBLTEN, rrblten, coupled_r_tendency_pbl, -0.2, 0.2, coupled|rain|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+rsblten, rsblten, coupled_s_tendency_pbl, -0.2, 0.2, coupled|snow|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+RQSBLTEN, rsblten, coupled_s_tendency_pbl, -0.2, 0.2, coupled|snow|tendency|due|to|pbl|scheme, Pa kg kg-1 s-1, Greens
+rhuscuten, rhuscuten, coupled_hus_tendency_cumulus, -0.2, 0.2, coupled|water|vapor|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+RQVCUTEN, rhuscuten, coupled_hus_tendency_cumulus, -0.2, 0.2, coupled|water|vapor|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+rccuten, rccuten, coupled_c_tendency_cumulus, -0.2, 0.2, coupled|cloud|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+RQCCUTEN, rccuten, coupled_c_tendency_cumulus, -0.2, 0.2, coupled|cloud|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+rgcuten, rgcuten, coupled_g_tendency_cumulus, -0.2, 0.2, coupled|graupel|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+RQGCUTEN, rgcuten, coupled_r_tendency_cumulus, -0.2, 0.2, coupled|graupel|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+ricuten, ricuten, coupled_i_tendency_cumulus, -0.2, 0.2, coupled|ice|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+RQICUTEN, ricuten, coupled_i_tendency_cumulus, -0.2, 0.2, coupled|ice|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+rrcuten, rrcuten, coupled_r_tendency_cumulus, -0.2, 0.2, coupled|rain|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+RQRCUTEN, rrcuten, coupled_r_tendency_cumulus, -0.2, 0.2, coupled|rain|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+rscuten, rscuten, coupled_s_tendency_cumulus, -0.2, 0.2, coupled|snow|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+RQSCUTEN, rscuten, coupled_s_tendency_cumulus, -0.2, 0.2, coupled|snow|tendency|due|to|cumulus|scheme, Pa kg kg-1 s-1, Blues
+rhusshten, rhusshten, coupled_hus_tendency_shallow_cumulus, -0.2, 0.2, coupled|water|vapor|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+RQVSHTEN, rhusshten, coupled_hus_tendency_shallow_cumulus, -0.2, 0.2, coupled|water|vapor|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+rcshten, rcshten, coupled_c_tendency_shallow_cumulus, -0.2, 0.2, coupled|cloud|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+RQCSHTEN, rcshten, coupled_c_tendency_shallow_cumulus, -0.2, 0.2, coupled|cloud|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+rgshten, rgshten, coupled_g_tendency_shallow_cumulus, -0.2, 0.2, coupled|graupel|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+RQGSHTEN, rgshten, coupled_r_tendency_shallow_cumulus, -0.2, 0.2, coupled|graupel|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+rishten, rishten, coupled_i_tendency_shallow_cumulus, -0.2, 0.2, coupled|ice|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+RQISHTEN, rishten, coupled_i_tendency_shallow_cumulus, -0.2, 0.2, coupled|ice|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+rrshten, rrshten, coupled_r_tendency_shallow_cumulus, -0.2, 0.2, coupled|rain|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+RQRSHTEN, rrshten, coupled_r_tendency_shallow_cumulus, -0.2, 0.2, coupled|rain|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+rsshten, rsshten, coupled_s_tendency_shallow_cumulus, -0.2, 0.2, coupled|snow|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
+RQSSHTEN, rsshten, coupled_s_tendency_shallow_cumulus, -0.2, 0.2, coupled|snow|tendency|due|to|shallow|cumulus|scheme, Pa kg kg-1 s-1, Reds
 rsds, rsds, surface_downwelling_shortwave_flux_in_air,  0., 1200., downward|SW|surface|radiation, Wm-2 ,Reds
 SWdnSFC, rsds, surface_downwelling_shortwave_flux_in_air,  0., 1200., downward|SW|surface|radiation, Wm-2 ,Reds
@@ -410,4 +447,25 @@
 DIABH, diabh, diabh,  0., 30., diabatic|heating, K, Reds
 ACDIABHde, diabh, diabh,  0., 30., diabatic|heating, K, Reds
+QV_OLD, hus_old, previous_water_vapor, 0., 0.03, water|vapor|at|previous|times-tep, kgkg-1, Greens
+QC_OLD, c_old, previous_cloud, 0., 0.03, cloud|at|previous|times-tep, kgkg-1, Greens
+QR_OLD, r_old, previous_rain, 0., 0.03, rain|at|previous|times-tep, kgkg-1, Greens
+QS_OLD, s_old, previous_snow, 0., 0.03, snow|at|previous|times-tep, kgkg-1, Greens
+QI_OLD, i_old, previous_ice, 0., 0.03, ice|at|previous|times-tep, kgkg-1, Greens
+QG_OLD, g_old, previous_graupel, 0., 0.03, graupel|at|previous|times-tep, kgkg-1, Greens
+QH_OLD, h_old, previous_hail, 0., 0.03, hail|at|previous|times-tep, kgkg-1, Greens
+QVTEND, hustendsch, water_vapor_tendency_sschemes, -0.3e-4, 0.3e-4, water|vapor|tendency|from|schemes, kgkg-1s-1, Blues
+QCTEND, ctendsch, cloud_tendency_sschemes, -0.3e-4, 0.3e-4, cloud|tendency|from|schemes, kgkg-1s-1, Blues
+QRTEND, rtendsch, rain_tendency_sschemes, -0.3e-4, 0.3e-4, rain|tendency|from|schemes, kgkg-1s-1, Blues
+QSTEND, stendsch, snow_tendency_sschemes, -0.3e-4, 0.3e-4, snow|tendency|from|schemes, kgkg-1s-1, Blues
+QITEND, itendsch, ice_tendency_sschemes, -0.3e-4, 0.3e-4, icetendency|from|schemes, kgkg-1s-1, Blues
+QGTEND, gtendsch, graupel_tendency_sschemes, -0.3e-4, 0.3e-4, graupel|tendency|from|schemes, kgkg-1s-1, Blues
+QHTEND, htendsch, hail_tendency_sschemes, -0.3e-4, 0.3e-4, hail|tendency|from|schemes, kgkg-1s-1, Blues
+QVTTEND, husttendsch, water_vapor_ttendency_sschemes, -0.3e-4, 0.3e-4, inter|time-step|water|vapor|tendency|from|schemes, kgkg-1s-1, Blues
+QCTTEND, cttendsch, cloud_ttendency_sschemes, -0.3e-4, 0.3e-4, inter|time-step|cloud|tendency|from|schemes, kgkg-1s-1, Blues
+QRTTEND, rttendsch, rain_ttendency_sschemes, -0.3e-4, 0.3e-4, inter|time-step|rain|tendency|from|schemes, kgkg-1s-1, Blues
+QSTTEND, sttendsch, snow_ttendency_sschemes, -0.3e-4, 0.3e-4, inter|time-step|snow|tendency|from|schemes, kgkg-1s-1, Blues
+QITTEND, ittendsch, ice_ttendency_sschemes, -0.3e-4, 0.3e-4, inter|time-step|icetendency|from|schemes, kgkg-1s-1, Blues
+QGTTEND, gttendsch, graupel_ttendency_sschemes, -0.3e-4, 0.3e-4, inter|time-step|graupel|tendency|from|schemes, kgkg-1s-1, Blues
+QHTTEND, ghtendsch, hail_ttendency_sschemes, -0.3e-4, 0.3e-4, inter|time-step|hail|tendency|from|schemes, kgkg-1s-1, Blues
 wbpw, wbpw, water_budget_pw,  0., 30., Water|Budget|water|content, mms-1, Reds
 WBPW, wbpw, water_budget_pw,  0., 30., Water|Budget|water|content, mms-1, Reds