Index: /trunk/tools/model_graphics.bash
===================================================================
--- /trunk/tools/model_graphics.bash	(revision 923)
+++ /trunk/tools/model_graphics.bash	(revision 924)
@@ -900,8 +900,48 @@
       done
     fi
-# LLUIS
 
     echo "  "${main}": "${ic}" variables has been computed"
     echo "  "${main}": "${isc}" statistics has been computed"
+
+    exit
+# Direct plotting
+##
+    dirplots=`echo ${directplots} | tr ':' ' '`
+    if test ! -f directplotsdraw.inf; then
+      plots=''
+      ikp=1
+      for kplot in ${dirplots}; do
+        case ${kplot} in
+          'hovmsfc')
+            kplots=${plthovmsfc}
+          ;;
+          'map2Dsfc')
+            kplots=${pltmap2Dsfc}
+          ;;
+          'map3D')
+            kplots=${pltmap3D}
+          ;;
+          'shadcount2Dsfc')
+            kplots=${pltshadcount2Dsfc}
+          ;;
+          *)
+            echo ${errmsg}
+            echo "  "${main}": plot kind '"${kplot}"' not ready !!"
+            exit
+        esac
+        if test ${ikp} -eq 0; then
+          plots=${kplots}
+        else
+          plots=${plots}':'${kplots}
+        fi
+        ikp=`expr ${ikp} + 1`
+      done
+    else
+      echo ${warnmsg}
+      echo "  "${main}": retrieving direct plots from existing file 'directplotsdraw.inf' !!"
+    fi
+
+# LLUIS
+
 
     cd ${rootsh}
Index: /trunk/tools/model_graphics_template.dat
===================================================================
--- /trunk/tools/model_graphics_template.dat	(revision 923)
+++ /trunk/tools/model_graphics_template.dat	(revision 924)
@@ -63,5 +63,5 @@
 #   ymean: y-axis mean values
 #   zsum: vertical aggregated values
-varkinds = direct:tmean:xmean:diff:pinterp:combo
+varkinds = last:tmean:xmean:diff:pinterp:combo
 
 # variables (providing CF-name, script must provide equivalent variable for each model)
@@ -69,6 +69,6 @@
 #   must exist on the table $pyHOME/variables_values.dat
 #   varcombo = [varn];[vark1]@...@[varkN]: variable as consecutive kinds of operation
-vardirect = tas:uas:vas:ps:pr:pracc:rsds:prw:evspsbl:hfss:hfls:hurs:huss:zmla:hufs:wakes:lwakeh:stherm:zmaxth:clt:cll:clm:clh:prc:prls:bils
-vartmean = prc:prls:zmla:hfss:hfls:evspsbl:bils:uas:vas:tas:ps:clt:cll:clm:clh:prw:huss:pr:wakes:wakeh:stherm:zmaxth
+varlast = tas:uas:vas:ps:pr:pracc:rsds:prw:evspsbl:hfss:hfls:hurs:huss:zmla:hufs:wakes:lwakeh:stherm:zmaxth:clt:cll:clm:clh:prc:prls:bils
+vartmean = prc:prls:zmla:hfss:hfls:evspsbl:bils:uas:vas:tas:ps:clt:cll:clm:clh:prw:huss:pr:wakes:wakeh:stherm:zmaxth:wss
 varxmean = ta:ua:va:hur
 vardiff = ualmean:valmean:talmean:huslmean:uas:vas:ps:pr
@@ -79,14 +79,22 @@
 #   Common vertical pressure levels to compute vertical differences
 plevels = 100000.:97500.:95000.:92500.:90000.:85000.:80000.:75000.:70000.:65000.:60000.:55000.:50000.:45000.:40000.:35000.:30000.:25000.:20000.:15000.:10000.:5000.:2500.:1000.:500.:250.
+
 # Kind of plots
 #   diffmap2Dsfc: 2D map of surface differences values of 1 variable
 #   diffmap2Dz: 2D map of 3D differences values of 1 variable
-#   hovm: Hovmoeller diagrams of 1 variable
+#   hovmsfc: Hovmoeller diagrams of 1 variable at the surface
 #   map2Dsfc: 2D map of surface values of 1 variable
 #   map3D: 2D map of 3D values of 1 variable
-#   shadcount2D: 2D map of shadow (1st variable) and countour (2nd variable) [var1]@[var2] (no `surname' = 'direct')
-shadcount2D = husxmean@taxmean:vaxmean@uaxmean:tas@ps:uas@vas:pr@rsds:prw@huss:prls@prc:hfls@hfss:evspsbl@bils:zmaxth@stherm:wakeh@wakes:zmaxth@stherm:prls@prc:clt@cll:clh@clm
-diffmap2Dsfc = uas:vas:ps:pr
-diffmap2Dz = uapxmean:vapxmean:tapxmean:huspxmean
+#   shadcount2D: 2D map of shadow (1st variable) and countour (2nd variable) [stvar1]#[stvar2]
+#
+#   ':' separated list of statitsics variable values are given as: [var]|[kind(including combo values)]
+
+# Figures which can be made directly without another model/experiment output
+directplots='hovmsfc:map2Dsfc:map3D:shadcount2Dsfc'
+
+pltshadcount2Dsfc = huss|tmean#tas|tmean:vas|tmean#uas|tmean:ps|tmean#wss|mean:pr|tmean#rsds|tmean:prw|tmean#clt|tmean:hfls|tmean#hfss|tmean:evspsbl|tmean#bils|tmean:zmaxth|tmean#stherm|tmean:wakeh|tmean#wakes|tmean:zmaxth|tmean#stherm|tmean:prls|tmean#prc|tmean:clt|tmean#cll|tmean:clm|tmean:clh|tmean:hurs|tmean#zmla|tmean:huss|last#tas|last:vas|last#uas|last:ps|last#wss|mean:pr|last#rsds|last:prw|last#clt|last:hfls|last#hfss|last:evspsbl|last#bils|last:zmaxth|last#stherm|last:wakeh|last#wakes|last:zmaxth|last#stherm|last:prls|last#prc|last:clt|last#cll|last:clm|last:clh|last:hurs|last#zmla|last
+
+pltdiffmap2Dsfc = uas:vas:ps:pr
+pltdiffmap2Dz = uapxmean:vapxmean:tapxmean:huspxmean
 
 # Figures output 