Index: /trunk/tools/model_graphics.bash
===================================================================
--- /trunk/tools/model_graphics.bash	(revision 925)
+++ /trunk/tools/model_graphics.bash	(revision 926)
@@ -3,4 +3,7 @@
 
 main='model_graphics.bash'
+
+# All purpouse
+######## ###### ##### #### ### ## #
 
 function uploadvars() {
@@ -80,4 +83,142 @@
   fi
 }
+
+function list_add_label(){
+# Function to add the label to a list
+#   list= ':' separated list to wchich add a ticket 
+#   label= label to add to the list
+#   ch= character to separate list values and new label
+#   pos= position of the label ('beg': beginning, 'end': ending)
+# $ list_add_label 1:2:3:4:5 abc # beg
+# abc#1:abc#2:abc#3:abc#4:abc#5
+
+  fname='list_add_label'
+
+  list=$1
+  label=$2
+  ch=$3
+  pos=$4
+
+  ival=1
+  lvs=`echo ${list} | tr ':' ' '`
+  
+  newlist=''
+  for listv in ${lvs}; do
+    if test ${pos} = 'beg'; then
+      nlv=${label}${ch}${listv}
+    else
+      nlv=${listv}${ch}${label}
+    fi
+    if test ${ival} -eq 1; then
+      newlist=${nlv}
+    else
+      newlist=${newlist}':'${nlv}
+    fi
+    ival=`expr ${ival} + 1`
+  done
+
+  echo ${newlist}
+}
+
+function stats_filename() {
+# Function to provide the name of a given statisitcs file
+#   CFvarn= CF variable name
+#   fkind= kind of the file
+#   headf= head of the file
+# $ stats_filename ta xmean wrfout
+# ta_wrfout_xmean.nc
+# $ stats_filename ta pinterp@last@xmean wrfout
+# ta_wrfout_pinterp_last_xmean.nc
+  fname='stats_filename'
+
+  CFvarn=$1
+  fkind=$2
+  headf=$3
+
+  # Number of operations in a combo file they are '@' separated
+  nopers=`echo ${fkind} | tr '@' ' ' | wc -w | awk '{print $1}'`
+
+  if test $(index_string ${fkind} pinterp) -ne -1; then
+    fhead=${headf}'p'
+  else
+    fhead=${headf}
+  fi
+
+  if test ${nopers} -eq 1; then
+    filename=${CFvarn}'_'${fhead}'_'${fkind}
+  else
+    opers=`echo ${fkind} | tr '@' ' '`
+    filename=${CFvarn}'_'${fhead}
+    for op in ${opers}; do
+      filename=${filename}'_'${op}
+    done
+  fi
+
+  echo ${filename}.nc
+}
+
+function index_string(){
+# Function to provide the index of a given word inside a string
+#   string= string to find in
+#   word= word to find
+#  $ index_string 123abc456ab789bca0 bca
+#  14
+  fname='index_string'
+  string=$1
+  word=$2
+
+  Lstring=`expr length ${string}`
+  Lword=`expr length ${word}`
+ 
+  Lfinalstring=`expr ${Lstring} - ${Lword}`
+
+  iw=0
+  index=-1
+  while test ${iw} -le ${Lfinalstring}; do
+    if test ${string:${iw}:${Lword}} = ${word}; then
+      index=${iw}
+      break
+    fi
+    iw=`expr ${iw} + 1`
+  done
+
+  echo ${index}
+  return
+}
+
+function list_filter() {
+# Function to filter by a value a list
+#   list: list to filter
+#   value: value to filter with
+#  $ list_filter '1|i:2|ii:3|iii:4|iv:5|v:1|I:2|II:3|III:4|iv:5|v' 3
+#  3|iii:3|III
+  fname='list_filter'
+
+  list=$1
+  varn=$2
+
+  lvs=`echo ${list} | tr ':' ' '`
+
+  newlist=''
+  il=1
+  for lv in ${lvs}; do
+    if test $(index_string ${lv} ${varn}) -ne -1; then
+      if test ${il} -eq 1; then
+        newlist=${lv}
+      else
+        newlist=${newlist}':'${lv}
+      fi
+      il=`expr ${il} + 1`
+    fi
+  done
+
+  echo ${newlist}
+
+  return
+}
+
+
+# Specific
+######## ###### ##### #### ### ## #
 
 function variable_compute(){
@@ -313,4 +454,11 @@
         mv ${pyout} ${filen}
 
+        # Keeping the operations
+        pyins=${pyHOME}"/nc_var.py -f "${cf}" -o DataSetSection_multivars -v "${vs}
+        pyins=${pyins}" -S "${values}
+        echo " " >> ${odir}/all_computevars.inf
+        echo "# ${CFvarn}" "${modvar}" >> ${odir}/all_computevars.inf
+        echo ${pyins} >> ${odir}/all_computevars.inf
+
         pyout=`${pyHOME}/nc_var.py -f ${filen} -o chvarname -v ${modvar} -S ${CFvarn}`
         pyn=$?
@@ -338,4 +486,11 @@
         ferrmsg ${pyn} ${fname} "python!'diagnostics'!failed#"${Spyout}
         mv diagnostics.nc ${filen}
+
+        # Keeping the operations
+        pyins=${pyHOME}"/diagnostics.py -f "${cf}" -d "${dims}" -v '"${diagn}"|"
+        pyins=${pyins}${diagc}"'"
+        echo " " >> ${odir}/all_computevars.inf
+        echo "# ${CFvarn}" "${diagvar}" >> ${odir}/all_computevars.inf
+        echo ${pyins} >> ${odir}/all_computevars.inf
       fi
 
@@ -483,4 +638,11 @@
         ferrmsg ${pyn} ${fname} "python!'DataSetSection'!'last'!failed#"${Spyout}
         mv ${cfiles:0:${Lcfiles3}}_time_B-9-E0-I0.nc ${filen}
+
+        # Keeping the operations
+        pyins=${pyHOME}"/nc_var.py -o DataSetSection -S "${vals}" -f "${cfiles}
+        pyins=${pyins}"-v "${CFvarn}
+        echo " " >> ${odir}/all_statsvars.inf
+        echo "# ${CFvarn}" "${vark}" >> ${odir}/all_statsvars.inf
+        echo ${pyins} >> ${odir}/all_statsvars.inf
       ;;
       # latitudinal mean values
@@ -514,4 +676,11 @@
         cp pinterp.nc ${filen}
 
+        # Keeping the operations
+        pyins=${pyHOME}"/nc_var.py -o pinterp -S "${vals}" -f "${cfiles}
+        pyins=${pyins}"-v "${CFvarn}
+        echo " " >> ${odir}/all_statsvars.inf
+        echo "# ${CFvarn}" "${vark}" >> ${odir}/all_statsvars.inf
+        echo ${pyins} >> ${odir}/all_statsvars.inf
+
         # adding CF lon,lat,time in WRF files
         if test ${headerf:0:3} = 'wrf'; then
@@ -530,4 +699,12 @@
         ferrmsg ${pyn} ${fname} "python!'file_oper_alongdims'!'tmean'!failed#"${Spyout}
         mv file_oper_alongdims_mean.nc ${filen}
+
+        # Keeping the operations
+        pyins=${pyHOME}"/nc_var.py -o file_oper_alongdims -S '"${vals}"' -f "${cfiles}
+        pyins=${pyins}" -v "${CFvarn}
+        echo " " >> ${odir}/all_statsvars.inf
+        echo "# ${CFvarn}" "${vark}" >> ${odir}/all_statsvars.inf
+        echo ${pyins} >> ${odir}/all_statsvars.inf
+
         varkeep=':'${CFvarn}'mean:timestats'
       ;;
@@ -543,4 +720,12 @@
         ferrmsg ${pyn} ${fname} "python!'file_oper_alongdims'!'tmean'!failed#"${Spyout}
         mv file_oper_alongdims_mean.nc ${filen}
+
+        # Keeping the operations
+        pyins=${pyHOME}"/nc_var.py -o file_oper_alongdims -S '"${vals}"' -f "${cfiles}
+        pyins=${pyins}" -v "${CFvarn}
+        echo " " >> ${odir}/all_statsvars.inf
+        echo "# ${CFvarn}" "${vark}" >> ${odir}/all_statsvars.inf
+        echo ${pyins} >> ${odir}/all_statsvars.inf
+
         varkeep=':'${CFvarn}'mean:lonstats'
       ;;
@@ -556,4 +741,12 @@
         ferrmsg ${pyn} ${fname} "python!'file_oper_alongdims'!'tmean'!failed#"${Spyout}
         mv file_oper_alongdims_mean.nc ${filen}
+
+        # Keeping the operations
+        pyins=${pyHOME}"/nc_var.py -o file_oper_alongdims -S '"${vals}"' -f "${cfiles}
+        pyins=${pyins}" -v "${CFvarn}
+        echo " " >> ${odir}/all_statsvars.inf
+        echo "# ${CFvarn}" "${vark}" >> ${odir}/all_statsvars.inf
+        echo ${pyins} >> ${odir}/all_statsvars.inf
+
         varkeep=':'${CFvarn}'mean:latstats'
       ;;
@@ -569,7 +762,184 @@
       ;;
     esac
+    cleaning_varsfile ${filen} ${CFvarn}':lon:lat:pres:time'${varkeep}
   fi
 
-  cleaning_varsfile ${filen} ${CFvarn}':lon:lat:pres:time'${varkeep}
+}
+
+function draw_plot(){
+# Function to carry out the drawing of the plots
+#   plot= [kplot]+[varn1]|[kind1]#[varn2]|[kind2]#....
+#     diffmap2Dsfc: 2D map of surface differences values of 1 variable
+#     diffmap2Dz: 2D map of 3D differences values of 1 variable
+#     hovmsfc: Hovmoeller diagrams of 1 variable at the surface
+#     map2Dsfc: 2D map of surface values of 1 variable
+#     map3D: 2D map of 3D values of 1 variable
+#     shadcount2D: 2D map of shadow (1st variable) and countour (2nd variable) [stvar1]#[stvar2]
+#
+#     ':' separated list of statitsics variable values are given as: [var]|[kind(including combo values)]
+#     in figures with more than 1 variable, use '#' to separate them
+#   odir= working directory
+#   headf= head of the file
+  fname='draw_plot'
+
+  plot=$1
+  odir=$2
+  headf=$3
+  scratch=$4
+
+  cd ${odir}
+
+  kplot=`echo ${plot} | tr '+' ' ' | awk '{print $1}'`
+  plotvals=`echo ${plot} | tr '+' ' ' | awk '{print $2}'`
+
+  # Assuming that multiple variables will be separated by '#'
+  nvars=`echo ${plotvals} | tr '#' ' ' | wc -w | awk '{print $1}'`
+
+  figfiles=''
+  varinfilen=''
+  CFvars=''
+  figvarparam=''
+  varkinds=''
+  if test ${nvars} -ge 1; then
+    figname=${kplot}_${headf}
+    iv=1
+    while test $iv -le ${nvars}; do
+      varkind=`echo ${plotvals} | tr '#' '\n' | head -n ${iv} | tail -n 1`
+      varn=`echo ${varkind} | tr '|' ' ' | awk '{print $1}'`
+      kind=`echo ${varkind} | tr '|' ' ' | awk '{print $2}'`
+      # Do we have 'pinterp' in the plot?
+
+      if $(isInlist ${varmeanname} ${kind}); then 
+        vn=${varn}'mean'
+      else
+        vn=${varn}
+      fi
+      filen=`stats_filename ${varn} ${kind} ${headf}`
+      if test ${iv} -eq 1; then
+        varkinds=${varkind}
+        CFvars=${varn}
+        varinfilen=${vn}
+        figfiles=${filen}
+      else
+        varkinds=${varkinds}':'${varkind}
+        CFvars=${CFvars}':'${varn}
+        varinfilen=${varinfilen}':'${vn}
+        figfiles=${figfiles}':'${filen}
+      fi
+
+      figname=${figname}'_'${vn}'-'${kind}
+
+      # Getting plot variable configuration
+      specific=false
+      if $(isInlist ${specificvarplot} ${varn}); then
+        vals=`listfilter ${specificvarplot} ${varn}`
+        kvals=`listfilter ${specificvarplot} ${kind}`
+        Lkvals=`expr length ${kvals}'0'`
+        if test ${Lkvals} -gt 1; then
+          fkvals=`listfilter ${kvals} ${kplot}`
+          Lfkvals=`expr length ${fkvals}'0'`
+          if test ${Lfkvals} -gt 1; then
+            specific=true
+            minval=`echo ${fkvals} | tr '|' ' ' | awk '{print $4}'`
+            maxval=`echo ${fkvals} | tr '|' ' ' | awk '{print $5}'`
+            colorbar=`echo ${fkvals} | tr '|' ' ' | awk '{print $6}'`
+            cntformat=`echo ${fkvals} | tr '|' ' ' | awk '{print $7}'`
+            colorcnt=`echo ${fkvals} | tr '|' ' ' | awk '{print $8}'`
+          fi
+        fi
+      fi
+      if ! ${specific}; then
+        allvals=`python ${pyHOME}/drawing.py -o variable_values -S ${varn} |         \
+          grep all_values | awk '{print $3}'`
+        pyn=$?
+        ferrmsg ${pyn} ${fname} "python!'variable_values'!'${varn}'!failed#"
+        minval=`echo ${allvals} | tr ',' ' ' | awk '{print $3}'`
+        maxval=`echo ${allvals} | tr ',' ' ' | awk '{print $4}'`
+        colorbar=`echo ${allvals} | tr ',' ' ' | awk '{print $7}'`
+        cntformat='%g'
+        colorcnt='black'
+      fi
+
+      # Graphical paramters for each variable in the plot
+      if test ${iv} -eq 1; then
+        figvarparam=${minval}'|'${maxval}'|'${colorbar}'|'${cntformat}'|'${colorcnt}
+      else
+        figvarparam=${figvarparam}':'${minval}'|'${maxval}'|'${colorbar}'|'
+        figvarparam=${figvarparam}${cntformat}'|'${colorcnt}
+      fi
+
+      iv=`expr ${iv} + 1`
+    # End of number of variables of the plot
+    done
+  fi
+  figname=${figname}.${kindfig}
+
+  if ${scratch}; then rm ${figname} >& /dev/null; fi
+  if test ! -f ${figname}; then
+    case ${kplot} in
+      'diffmap2Dsfc')
+        echo "  "${fname}": kind of plot '"${kplot}"' not ready !!"
+        exit
+      ;;
+      'diffmap2Dz')
+        echo "  "${fname}": kind of plot '"${kplot}"' not ready !!"
+        exit
+      ;;
+      'hovmsfc')
+        echo "  "${fname}": kind of plot '"${kplot}"' not ready !!"
+        exit
+      ;;
+      'map2Dsfc')
+        echo "  "${fname}": kind of plot '"${kplot}"' not ready !!"
+        exit
+      ;;
+      'map3D')
+        echo "  "${fname}": kind of plot '"${kplot}"' not ready !!"
+        exit
+      ;;
+      'shadcount2Dsfc')
+        figtit=`echo ${varkinds} | tr ':' '|'`
+        shdstdn=`echo ${CFvars} | tr ':' ' ' | awk '{print $1}'`
+        cntstdn=`echo ${CFvars} | tr ':' ' ' | awk '{print $2}'`
+        figfs=`echo ${figfiles} | tr ':' ','`
+        srange=`echo ${figvarparam} | tr ':' ' ' | awk '{print $1}' | tr '|' ' ' |   \
+          awk '{print $1","$2}'`
+        cbar=`echo ${figvarparam} | tr ':' ' ' | awk '{print $1}' | tr '|' ' ' |     \
+          awk '{print $3}'`
+        crange=`echo ${figvarparam} | tr ':' ' ' | awk '{print $2}' | tr '|' ' ' |   \
+          awk '{print $1","$2}'`
+        cline=`echo ${figvarparam} | tr ':' ' ' | awk '{print $2}' | tr '|' ' ' |    \
+          awk '{print $5}'`
+        cfmt=`echo ${figvarparam} | tr ':' ' ' | awk '{print $2}' | tr '|' ' ' |     \
+          awk '{print $4}'`
+
+        graphvals=$(echo ${CFvars} | tr ':' ',')
+        graphvals=${graphvals}':lon|-1,lat|-1:lon|-1,lat|-1:lon:lat:'${cbar}':fixc,'
+        graphvals=${graphvals}${cline}':'${cfmt}':'${srange}':'${crange}',9:'
+        graphvals=${graphvals}${figtit}':'${kindfig}':False:'${mapval}
+ 
+        plotins="python "${pyHOME}"/drawing.py -f "${figfs}" -o draw_2D_shad_cont "
+        plotins=${plotins}"-S '"${graphvals}"' -v "${shdstdn}"mean,"${cntstdn}"mean"
+        echo " " >> ${odir}/all_figures.inf
+        echo "#"$(echo $f{igtit} | tr '|' ' ') >> ${odir}/all_figures.inf
+        echo ${plotins} >> ${odir}/all_figures.inf
+        pyout=`python ${pyHOME}/drawing.py -f ${figfs} -o draw_2D_shad_cont          \
+          -S ${graphvals} -v ${shdstdn}'mean,'${cntstdn}'mean'`
+        pyn=$?
+        Spyout=`echo ${pyout} | tr '\n' '#' | tr ' ' '!'`
+        ferrmsg ${pyn} ${fname} "python!'draw_2D_shad_cont'!failed#"${Spyout}
+        mv 2Dfields_shadow-contour.${kindfig} ${figname}
+#        exit
+      ;;
+      *)
+        echo ${errormsg}
+        echo "  "${fname}": plot kind '"${kplot}"' not ready !!"
+        exit
+      ;;
+    esac
+  fi
+
+#LLUIS
+
 }
 
@@ -587,7 +957,27 @@
   echo "  "${main}": starting from the SCRATCH !!"
   echo "    10 seconds left!!"
+  filescratch=true
+  figscratch=true
   sleep 10
 else
   scratch=false
+  if test ${filescratch} = 'true'; then
+    filescratch=true
+    echo ${warnmsg}
+    echo "  "${main}": files starting from the SCRATCH !!"
+    echo "    5 seconds left!!"
+    sleep 5
+  else
+    filescratch=false
+  fi
+  if test ${figscratch} = 'true'; then
+    figscratch=true
+    echo ${warnmsg}
+    echo "  "${main}": figures starting from the SCRATCH !!"
+    echo "    5 seconds left!!"
+    sleep 5
+  else
+    figscratch=false
+  fi
 fi
 
@@ -673,5 +1063,15 @@
 
     # Need to pass to analyze all the data?
-    if ${scratch}; then rm ${owdir}/varcompute.inf >& /dev/null; fi
+    if ${filescratch}; then 
+      rm ${owdir}/varcompute.inf >& /dev/null
+      rm ${owdir}/all_computevars.inf >& /dev/null
+      rm ${owdir}/all_statsvars.inf >& /dev/null
+
+      echo "## Computation of variables " > ${owdir}/all_computevars.inf
+      echo "## Computation of statistics " > ${owdir}/all_statsvars.inf
+
+    fi
+
+
     if test ! -f ${owdir}/varcompute.inf; then
 
@@ -682,5 +1082,5 @@
       ih=1
       for fh in ${fheaders}; do
-        if ${scratch}; then rm ${owdir}/*_${fh}*.nc >& /dev/null; fi
+        if ${filescratch}; then rm ${owdir}/*_${fh}*.nc >& /dev/null; fi
 
         files1h=`ls -1 ${fh}* | tr '\n' '@'`
@@ -808,5 +1208,5 @@
       done
 
-      # Outwritting the varcompute to avoid next time (if it is not scratch!)
+      # Outwritting the varcompute to avoid next time (if it is not filescratch!)
       cat << EOF > ${owdir}/varcompute.inf
 files: ${files}
@@ -843,5 +1243,5 @@
       if test ! ${modv} = 'None' || test ! ${diagv} = 'None'; then
         compute_variable ${iwdir} ${files} ${owdir} ${cvar} ${moddims} ${modvdims}   \
-          ${scratch}
+          ${filescratch}
         ic=`expr ${ic} + 1`
 
@@ -853,5 +1253,5 @@
           fi
           compute_statistics ${iwdir} ${CFv}_${fhead}.nc ${owdir} ${cvar}            \
-            ${moddims} ${modvdims} ${scratch}
+            ${moddims} ${modvdims} ${filescratch}
           isc=`expr ${isc} + 1`
         else
@@ -892,5 +1292,5 @@
           combcvar=${CFv}'|'${comb}'|'${fileh}'|'${modv}'|'${diagv}
           compute_statistics ${iwdir} ${ifile}.nc ${owdir} ${combcvar} ${moddims}    \
-            ${modvdims} ${scratch} ${ifile}.nc
+            ${modvdims} ${filescratch} ${ifile}.nc
           ifile=${ifile}_${comb}
           isc=`expr ${isc} + 1`
@@ -904,41 +1304,66 @@
     echo "  "${main}": "${isc}" statistics has been computed"
 
-    exit
 # Direct plotting
 ##
-    dirplots=`echo ${directplots} | tr ':' ' '`
+    echo "  "${main}": Plotting direct figures ..."
+    if ${figscratch}; then rm directplotsdraw.inf; fi
     if test ! -f directplotsdraw.inf; then
+      drwplts=`echo ${drawplots} | tr ':' ' '`
+      ikp=1
       plots=''
-      ikp=1
-      for kplot in ${dirplots}; do
-        case ${kplot} in
-          'hovmsfc')
-            kplots=${plthovmsfc}
-          ;;
-          'map2Dsfc')
-            kplots=${pltmap2Dsfc}
-          ;;
-          'map3D')
-            kplots=${pltmap3D}
-          ;;
-          'shadcount2Dsfc')
-            kplots=${pltshadcount2Dsfc}
-          ;;
-          *)
-            echo ${errmsg}
-            echo "  "${main}": plot kind '"${kplot}"' not ready !!"
-            exit
-        esac
-        if test ${ikp} -eq 0; then
-          plots=${kplots}
-        else
-          plots=${plots}':'${kplots}
-        fi
-        ikp=`expr ${ikp} + 1`
+      for drw in ${drwplts}; do
+        if $(isInlist ${directplots} ${drw}); then
+          case ${drw} in
+            'hovmsfc')
+              plts=${plothovmsfc}
+            ;;
+            'map2Dsfc')
+              plts=${pltmap2Dsfc}
+            ;;
+            'map3D')
+              plts=${pltmap3D}
+            ;;
+            'shadcount2Dsfc')
+              plts=${pltshadcount2Dsfc}
+            ;;
+            *)
+              echo ${errmsg}
+              echo "  "${main}": plot kind '"${drw}"' not ready !!"
+              exit
+          esac
+          # Do we have plots for this kind?
+          Lkplots=`expr length ${plts}'0'`
+          if test ${Lkplots} -lt 2; then
+            ferrmsg 1 ${main} "plot!kind!"${drw}"!without!variables"
+          fi
+          kplots=`list_add_label ${plts} ${drw} + beg`
+          if test ${ikp} -eq 1; then
+            plots=${kplots}
+          else
+            plots=${plots}':'${kplots}
+          fi
+          ikp=`expr ${ikp} + 1`
+        fi
+# End of coincident direct plots
       done
+      cat << EOF > directplotsdraw.inf
+plots= ${plots}
+EOF
     else
       echo ${warnmsg}
       echo "  "${main}": retrieving direct plots from existing file 'directplotsdraw.inf' !!"
-    fi
+      plots=`cat directplotsdraw.inf | grep plots | awk '{print $2}'`
+    fi
+
+    if ${figscratch}; then rm ${owdir}/all_figures.inf; fi
+    if test ! -f ${owdir}/all_figures.inf; then
+      echo "###### List of all figures" > ${owdir}/all_figures.inf
+    fi
+
+    pts=`echo ${plots} | tr ':' ' '`
+    for pt in ${pts}; do
+      echo "        "${pt}
+      draw_plot ${pt} ${owdir} ${fileh} ${figscratch}
+    done
 
 # LLUIS
Index: /trunk/tools/model_graphics_template.dat
===================================================================
--- /trunk/tools/model_graphics_template.dat	(revision 925)
+++ /trunk/tools/model_graphics_template.dat	(revision 926)
@@ -20,4 +20,10 @@
 # Srcatch
 scratch=false
+
+# Scratch files
+filescratch=false
+
+# Scratch figures
+figscratch=false
 
 # Debug
@@ -69,10 +75,13 @@
 #   must exist on the table $pyHOME/variables_values.dat
 #   varcombo = [varn];[vark1]@...@[varkN]: variable as consecutive kinds of operation
-varlast = tas:uas:vas:ps:pr:pracc:rsds:prw:evspsbl:hfss:hfls:hurs:huss:zmla:hufs:wakes:lwakeh:stherm:zmaxth:clt:cll:clm:clh:prc:prls:bils
-vartmean = prc:prls:zmla:hfss:hfls:evspsbl:bils:uas:vas:tas:ps:clt:cll:clm:clh:prw:huss:pr:wakes:wakeh:stherm:zmaxth:wss
+varlast = tas:uas:vas:ps:pr:pracc:rsds:prw:evspsbl:hfss:hfls:hurs:huss:zmla:hufs:wakes:lwakeh:stherm:zmaxth:clt:cll:clm:clh:prc:prls:bils:wss
+vartmean = tas:uas:vas:ps:pr:pracc:rsds:prw:evspsbl:hfss:hfls:hurs:huss:zmla:hufs:wakes:lwakeh:stherm:zmaxth:clt:cll:clm:clh:prc:prls:bils:wss
 varxmean = ta:ua:va:hur
 vardiff = ualmean:valmean:talmean:huslmean:uas:vas:ps:pr
 varpinterp = ta:ua:va:hur
 varcombo = ta;pinterp@last@xmean:ua;pinterp@last@xmean:va;pinterp@last@xmean:hur;pinterp@last@xmean
+
+# Operations which attach 'mean' at the end of the variable name
+varmeanname='Lmean:lmean:tmaen:xmean:ymean'
 
 # Pressure levels
@@ -89,15 +98,33 @@
 #
 #   ':' separated list of statitsics variable values are given as: [var]|[kind(including combo values)]
+#     in figures with more than 1 variable, use '#' to separate them
+drawplots = shadcount2Dsfc
 
 # Figures which can be made directly without another model/experiment output
-directplots='hovmsfc:map2Dsfc:map3D:shadcount2Dsfc'
+directplots = hovmsfc:map2Dsfc:map3D:shadcount2Dsfc
 
-pltshadcount2Dsfc = huss|tmean#tas|tmean:vas|tmean#uas|tmean:ps|tmean#wss|mean:pr|tmean#rsds|tmean:prw|tmean#clt|tmean:hfls|tmean#hfss|tmean:evspsbl|tmean#bils|tmean:zmaxth|tmean#stherm|tmean:wakeh|tmean#wakes|tmean:zmaxth|tmean#stherm|tmean:prls|tmean#prc|tmean:clt|tmean#cll|tmean:clm|tmean:clh|tmean:hurs|tmean#zmla|tmean:huss|last#tas|last:vas|last#uas|last:ps|last#wss|mean:pr|last#rsds|last:prw|last#clt|last:hfls|last#hfss|last:evspsbl|last#bils|last:zmaxth|last#stherm|last:wakeh|last#wakes|last:zmaxth|last#stherm|last:prls|last#prc|last:clt|last#cll|last:clm|last:clh|last:hurs|last#zmla|last
+pltshadcount2Dsfc = huss|tmean#tas|tmean:vas|tmean#uas|tmean:ps|tmean#wss|tmean:pr|tmean#rsds|tmean:prw|tmean#clt|tmean:hfls|tmean#hfss|tmean:evspsbl|tmean#bils|tmean:zmaxth|tmean#stherm|tmean:wakeh|tmean#wakes|tmean:zmaxth|tmean#stherm|tmean:prls|tmean#prc|tmean:clt|tmean#cll|tmean:clm|tmean:clh|tmean:hurs|tmean#zmla|tmean:huss|last#tas|last:vas|last#uas|last:ps|last#wss|mean:pr|last#rsds|last:prw|last#clt|last:hfls|last#hfss|last:evspsbl|last#bils|last:zmaxth|last#stherm|last:wakeh|last#wakes|last:zmaxth|last#stherm|last:prls|last#prc|last:clt|last#cll|last:clm|last:clh|last:hurs|last#zmla|last
 
 pltdiffmap2Dsfc = uas:vas:ps:pr
 pltdiffmap2Dz = uapxmean:vapxmean:tapxmean:huspxmean
 
-# Figures output 
+# Specific variable-statistisc graphic parameters (if no value is given, they will be retrieved from 'variables_values.dat')
+#  ':' separated list of specific parameters for plotting as:
+#      [varname]|[statistics]|[minval]|[maxval]|[colorbar]|[cntformat]|[colorcnt]
+#        [varname]: name of the variable
+#        [statistics]: statistics (also combo)
+#        [figure]: figure to be used
+#        [minval]: minimum value
+#        [maxval]: minimum value
+#        [colorbar]: name of the colorbar (from matplotlib) to use
+#        [cntformat]: format of the contour labels
+#        [colorcnt]: color for the countor lines
+specificvarplot = cll|last|shadcount2Dsfc|0.|1.|gist_gray|black:clh|last|shadcount2Dsfc|0.|1.|gist_gray|black
+
+# Figures output kind
 kindfig = pdf
+
+# Map to use
+mapval = lcc,l
 
 # Generic