Index: /trunk/tools/drawing.py
===================================================================
--- /trunk/tools/drawing.py	(revision 933)
+++ /trunk/tools/drawing.py	(revision 934)
@@ -623,5 +623,5 @@
     draw_2D_shad_cont(ncfile, values, varn)
       ncfile= [ncfilevars],[ncfilevarc] files to use (one value, same file)
-      values=[vnamefs]:[dimvals]:[dimvalc]:[dimxvn]:[dimyvn]:[colorbar]:[ckind]:[clabfmt]:[sminv],[smaxv]:[sminc],[smaxv],[Nlev]:[figt]:[kindfig]:[reverse]:[timevals]:[mapv]
+      values=[vnamefs];[dimvals];[dimvalc];[dimxvn];[dimyvn];[colorbar];[ckind];[clabfmt];[sminv],[smaxv];[sminc],[smaxv],[Nlev];[figt];[kindfig];[reverse];[timevals]
         [vnamefs],[vnamefc]: Name in the figure of the shaded and the contour variables
         [dimvals/c]: list of [dimname]|[value] telling at which dimension of the 
@@ -653,16 +653,5 @@
            [tfmt]; desired format
            [label]; label at the graph ('!' for spaces)
-        [mapv]: map characteristics: [proj],[res]
-          see full documentation: http://matplotlib.org/basemap/
-          [proj]: projection
-            * 'cyl', cilindric
-            * 'lcc', lamvbert conformal
-          [res]: resolution:
-            * 'c', crude
-            * 'l', low
-            * 'i', intermediate
-            * 'h', high
-            * 'f', full
-      valules= 'rh,ta:z|-1,x|-1:z|-1,x|-1:lat:pressure:BuPu:fixsigc,black:%d:0.,100.:195.,305.,7:Meridonal|average|of|rh|&|ta:pdf:flip@y:time!hours!since!1949/12/01|exct,5d|%d|date!([DD]):None'
+      valules= 'rh,ta;z|-1,x|-1;z|-1,x|-1;lat;pressure;BuPu;fixsigc,black;%d;0.,100.;195.,305.,7;Meridonal|average|of|rh|&|ta;pdf;flip@y;time!hours!since!1949/12/01|exct,5d|%d|date!([DD])' 
       varn= [varsn],[varcn] name of the variable to plot with shading variable with contour
     """
@@ -674,25 +663,24 @@
         quit()
 
-    expectargs = '[vnamefs]:[dimvals]:[dimvalc]:[dimxvn]:[dimyvn]:[colorbar]:' +     \
-      '[ckind]:[clabfmt]:[sminv],[smaxv]:[sminc],[smaxv],[Nlev]:[figt]:[kindfig]:' + \
-      '[reverse]:[timevals]:[mapv]'
+    expectargs = '[vnamefs];[dimvals];[dimvalc];[dimxvn];[dimyvn];[colorbar];' +     \
+      '[ckind];[clabfmt];[sminv],[smaxv];[sminc],[smaxv],[Nlev];[figt];[kindfig];' + \
+      '[reverse];[timevals]'
  
-    drw.check_arguments(fname,values,expectargs,':')
-
-    vnamesfig = values.split(':')[0].split(',')
-    dimvals= values.split(':')[1].replace('|',':')
-    dimvalc= values.split(':')[2].replace('|',':')
-    vdimxn = values.split(':')[3]
-    vdimyn = values.split(':')[4]
-    colbarn = values.split(':')[5]
-    countkind = values.split(':')[6]
-    countlabelfmt = values.split(':')[7]
-    shadminmax = values.split(':')[8]
-    contlevels = values.split(':')[9]
-    figtitle = values.split(':')[10].replace('|',' ')
-    figkind = values.split(':')[11]
-    revals = values.split(':')[12]
-    timevals = values.split(':')[13]
-    mapvalue = values.split(':')[14]
+    drw.check_arguments(fname,values,expectargs,';')
+
+    vnamesfig = values.split(';')[0].split(',')
+    dimvals= values.split(';')[1].replace('|',':')
+    dimvalc= values.split(';')[2].replace('|',':')
+    vdimxn = values.split(';')[3]
+    vdimyn = values.split(';')[4]
+    colbarn = values.split(';')[5]
+    countkind = values.split(';')[6]
+    countlabelfmt = values.split(';')[7]
+    shadminmax = values.split(';')[8]
+    contlevels = values.split(';')[9]
+    figtitle = values.split(';')[10].replace('|',' ')
+    figkind = values.split(';')[11]
+    revals = values.split(';')[12]
+    timevals = values.split(';')[13]
 
     if2filenames = ncfile.find(',')
@@ -755,16 +743,4 @@
     valcont, dimscont = drw.slice_variable(objvarc, dimvalc.replace(',','|'))
 
-# Dimensions names
-##    print fname + ' obj dimnames: ', objvars.dimensions, dimvals, len(dimvals.split(','))
-##    dimnamesv = []
-##    for idd in range(len(objvars.dimensions)):
-##        cutdim = False
-##        for idc in range(len(dimvals.split(','))):
-##            dimcutn = dimvals.split(',')[idc].split(':')[0]
-##            print objvars.dimensions[idd], dimcutn
-##            if objvars.dimensions[idd] == dimcutn: 
-##                cutdim = True
-##                break
-##        if not cutdim: dimnamesv.append(objvars.dimensions[idd])
     dimnamesv = [vdimyn, vdimxn]
 
@@ -813,24 +789,13 @@
 
     cutslice = []
-    for idimn in dimsshad:
+    for idimn in dimnvx:
         found = False
-        for dimsn in dimnvx:
+        for dimsn in dimsshad:
             if idimn == dimsn:
                 cutslice.append(slice(0,len(objsf.dimensions[idimn])))
                 found = True
-        if not found: cutslice.append(0)
+        if not found: cutslice.append(slice(0,len(objsf.dimensions[idimn])))
 
     ovalaxisv = ovalaxis[tuple(cutslice)]
-
-##    if len(ovalaxis.shape) <= 2:
-##        ovalaxisv = ovalaxis[:]
-
-##    elif len(ovalaxis.shape) == 3:
-##        ovalaxisv = ovalaxis[0,:]
-##    else:
-##        print errormsg
-##        print '  ' + fname + ': shape of dimension variable:', ovalaxis.shape,       \
-##          ' not ready!!'
-##        quit(-1)
 
     if countlabelfmt == 'None': 
@@ -857,10 +822,10 @@
         print '    generating default ones: ',levels_cont
 
-    if mapvalue == 'None': mapvalue = None
+    if revals == 'None': revals = None
 
     drw.plot_2D_shadow_contour_time(valshad, valcont, vnamesfig, ovalaxisv,         \
       timevals, timepos, timelabels, ovalu, timelabel, dimt, dimnamesv, colbarn,    \
       countkind, countlfmt, shading_nx, levels_cont, varunits, figtitle, figkind,   \
-      revals, mapvalue)
+      revals)
 
     return